Support » Plugin: Gallery Plugin for WordPress - Envira Photo Gallery » media_buttons_context in editor.php (Deprecated!)

  • Hi!
    I have a persistent error in my log for a usage of media_buttons_context which has been deprecated since 3.5!
    Because of another error I decided to try and locate the user and found it in includes\admin\editor.php on line 59:
    add_filter( ‘media_buttons_context’, array( $this, ‘media_button’ ) );

    As soon as I switch of Envira Gallery Lite this error disappears.
    According to the error you should use media_buttons in stead.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support A. Dugan

    (@atdugan)

    Hi, @harm10!

    Thanks for writing in!

    I’ve alerted our developers to this; it’ll be resolved in the next update.

    We appreciate you bringing it to our attention.

    I am seeing this error on v1.8.12 of Envira Premium.

    Deprecated: media_buttons_context is deprecated since version 3.5.0! Use media_buttons instead. in /home/mldnewbornscreen/public_html/wp-includes/functions.php on line 5148

    This error shows up in the Elementor editing panel.

    Is this a warning or an error that I need to take action on? It appears there have been plugin updates since the OP posted 3 months ago.

    PHP 7.4
    WordPress 5.5.1
    Astra theme v2.5.5
    Evnira Galler v1.8.12
    Elementor v3.0.8.1
    Elementor Pro v3.0.4

    • This reply was modified 1 year, 8 months ago by oregondean.
    • This reply was modified 1 year, 8 months ago by oregondean.

    Just downloaded a new copy of Envira Gallery, v1.9.1.4, receive a similar message:

    Deprecated: media_buttons_context is deprecated since version 3.5.0! Use media_buttons instead. in C:\wamp\www\site.local\wp-includes\functions.php on line 5234

    This error only occurred after editing a post once Envira Gallery had been activated.

    Looks like your developers have not resolved the issue yet?

    Help appreciated.

    Hi Folks,

    Are you going to be looking at this issue?

    It is destroying the editing experience by introducing PHP errors that prevent us from editing the WP page.

    Help appreciated.

    Thread Starter Harm10

    (@harm10)

    I have changed the status of this report as it was set as Resolved and clearly this is not the case……….

    I have upgraded to version 1.9.3, still having the same issue. Is there an ETA on this update?

    PHP Deprecated: media_buttons_context is deprecated since version 3.5.0! Use media_buttons instead.

    Thread Starter Harm10

    (@harm10)

    No reply of official support in 10 months! Bad support!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘media_buttons_context in editor.php (Deprecated!)’ is closed to new replies.